Retrieves the equipment_family object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_family| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the equipment family |
string |
Required Max length: 50 |
| description |
Description of the equipment family |
string |
Max length: 4000 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| _parent_id |
Parent Equipment Family (Parent / Child) when adding/updating equipment_family |
globally unique identifier | |
| _parent_code |
Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family |
string | |
| _parent_equipment_family |
Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family |
equipment_family | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "c3bab93b-4eda-4969-b27e-271b1e0673db",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "f2fc5dd3-907c-4c1d-b332-ec873e259cca",
"_parent_code": "sample string 6",
"sales_organization_id": "7de163e7-0ebf-48e2-a6ec-484019915f25",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "4e8f9724-7d87-4f14-ad19-49d35d5633e2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "20e89400-bbaf-4dfa-9cf9-caf8322ea5ad",
"db_currency_id": "6ffe6c5d-4d0b-470e-b0f8-3d751106c3ff",
"db_language_id": "5c25d2da-57ea-432d-955d-18a95a2e8563",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T09:39:23.5458715+00:00"
},
"modified_dateutc": "2026-11-02T09:39:23.5458715+00:00"
}